User Tools

Site Tools


spades-software

Differences

This shows you the differences between two versions of the page.

Link to this comparison view

Both sides previous revision Previous revision
Next revision
Previous revision
Next revision Both sides next revision
spades-software [2017/07/06 17:15]
aorth
spades-software [2017/12/25 23:48]
aorth
Line 4: Line 4:
 ===== Information ===== ===== Information =====
  
-  * Version: 3.10.1+  * Version: 3.11.1
   * Added: September, 2014   * Added: September, 2014
-  * Updated: ​July, 2017+  * Updated: ​December, 2017
   * Link: http://​cab.spbu.ru/​software/​spades/​   * Link: http://​cab.spbu.ru/​software/​spades/​
  
Line 13: Line 13:
 See versions of spades which are available: See versions of spades which are available:
 <​code>​$ module avail spades</​code>​ <​code>​$ module avail spades</​code>​
 +
 +After loading the module, consult the built-in help:
 +<​code>​$ spades.py --help</​code>​
  
 === Example batch job === === Example batch job ===
Line 42: Line 45:
  
 <​code>​$ cd /tmp <​code>​$ cd /tmp
-$ wget http://​cab.spbu.ru/​files/​release3.10.1/​SPAdes-3.10.1-Linux.tar.gz +$ wget  http://​cab.spbu.ru/​files/​release3.11.1/​SPAdes-3.11.1.tar.gz 
-$ tar xf SPAdes-3.10.1-Linux.tar.gz +$ tar xf SPAdes-3.11.1.tar.gz 
-$ sudo mkdir /​export/​apps/​spades/​3.10.1 +$ cd SPAdes-3.11.1 
-$ sudo cp -rv SPAdes-3.10.1-Linux//​export/​apps/​spades/​3.10.1</​code>​+$ sudo mkdir /​export/​apps/​spades/​3.11.1 
 +$ sudo chown aorth /​export/​apps/​spades/​3.11.1 
 +$ sudo yum install cmake 
 +$ PREFIX=/export/​apps/​spades/​3.11.1 ./​spades_compile.sh 
 +$ sudo chown -R root:​root ​/​export/​apps/​spades/​3.11.1</​code>​
  
-===== Running ===== +Note: if you get the error ''​Exception caught basic_string::​_S_construct null not valid''​ you need to call the spades.py ​script, not the spades binary!
-After loading ​the module, consult the built-in help: +
- +
-<​code>​$ ​spades.py ​--help</​code>​+
spades-software.txt · Last modified: 2019/10/04 15:58 by aorth